### Constructor

# St IconInfo new_for_pixbuf

#### Declaration [src]

    StIconInfo*
    st_icon_info_new_for_pixbuf (
      StIconTheme* icon_theme,
      GdkPixbuf* pixbuf
    )

#### Description [src]

Creates a `StIconInfo` for a `GdkPixbuf`.

#### Parameters

`icon_theme`

  Type: `StIconTheme`

  A `StIconTheme`.

  The data is owned by the caller of the function.

`pixbuf`

  Type: `GdkPixbuf`

  The pixbuf to wrap in a `StIconInfo`.

  The data is owned by the caller of the function.

#### Return value

Type: `StIconInfo`

A `StIconInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.